#include <stdio.h>
#include <assert.h>

#define MAX 1000000
char sito[MAX];
FILE *fi, *fo;

void gen(int n)
{
	fprintf(fi, "A?[]\n");
	int c=0, i=2;
	while (c<n) {
		assert(i<MAX);
		if (!sito[i]) {
			if (c)
				fputc(' ', fo);
			fprintf(fo, "%d", i);
			c++;
		}
		i++;
	}
	fputc('\n', fo);
}

int main(void)
{
	for (int i=2; i<MAX; i++)
		if (!sito[i])
			for (int j=2*i; j<MAX; j+=i)
				sito[j] = 1;

	fi = fopen("7.in", "w");
	fo = fopen("7.out", "w");
	gen(1000);

	fi = fopen("7b.in", "w");
	fo = fopen("7b.out", "w");
	gen(50000);

	return 0;
}
